Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.crypto.params
Class KDFFeedbackParameters

    java.lang.Object
      org.bouncycastle.crypto.params.KDFFeedbackParameters

All Implemented Interfaces:
  DerivationParameters

public final class KDFFeedbackParameters
extends java.lang.Object
implements DerivationParameters

Note that counter is only supported at the location presented in the NIST SP 800-108 specification, not in the additional locations present in the CAVP test vectors.

Method Summary
`static KDFFeedbackParameters` | `createWithCounter(byte[] ki, byte[] iv, byte[] fixedInputData, int r)`
`static KDFFeedbackParameters` | `createWithoutCounter(byte[] ki, byte[] iv, byte[] fixedInputData)`
`byte[]` | `getFixedInputData()`
`byte[]` | `getIV()`
`byte[]` | `getKI()`
`int` | `getR()`
`boolean` | `useCounter()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### createWithCounter

    public static KDFFeedbackParameters createWithCounter(byte[] ki,
                                                          byte[] iv,
                                                          byte[] fixedInputData,
                                                          int r)

### createWithoutCounter

    public static KDFFeedbackParameters createWithoutCounter(byte[] ki,
                                                             byte[] iv,
                                                             byte[] fixedInputData)

### getKI

    public byte[] getKI()

### getIV

    public byte[] getIV()

### useCounter

    public boolean useCounter()

### getR

    public int getR()

### getFixedInputData

    public byte[] getFixedInputData()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD